//+------------------------------------------------------------------
//|                                               TD Sequential Setup
//+------------------------------------------------------------------
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1  DeepSkyBlue
#property indicator_color2  PaleVioletRed
#property indicator_width1  2
#property indicator_width2  2

//
//
//
//
//

extern int  Price       = PRICE_CLOSE;
extern bool PipRounding = true;

double barUp[];
double barDn[];
double longCount[];
double shortCount[];
double price[];

//+------------------------------------------------------------------
//|                                                                  
//+------------------------------------------------------------------
//
//
//
//
//

int init()
{
   IndicatorBuffers(5);
   SetIndexBuffer(0,barUp); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,barDn); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,longCount);
   SetIndexBuffer(3,shortCount);
   SetIndexBuffer(4,price);
   return(0);
}
int deinit()
{
   return(0);
}

//
//
//
//
//

int start()
{
   int i,limit,counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = MathMin(Bars-counted_bars,Bars-1);
         int roundTo = Digits;
            if (PipRounding && (Digits==3 || Digits==5)) roundTo -=1;

   //
   //
   //
   //
   //

   for(i=limit; i>=0; i--) 
   {
      price[i] = NormalizeDouble(iMA(NULL,0,1,0,MODE_SMA,Price,i),roundTo);
      barUp[i] = EMPTY_VALUE;
      barDn[i] = EMPTY_VALUE;
      
      //
      //
      //
      //
      //
         
      if (price[i]<price[i+4])
            longCount[i] = longCount[i+1]+1;
      else  longCount[i] = 0;
      if (price[i]>price[i+4])
            shortCount[i] = shortCount[i+1]+1;
      else  shortCount[i] = 0;
      if (longCount[i]  == 9 && price[i+9]>price[i+13]) { barUp[i] = High[i]; barDn[i] = Low[i]; }
      if (shortCount[i] == 9 && price[i+9]<price[i+13]) { barDn[i] = High[i]; barUp[i] = Low[i]; }
   }
   return(0);
}